package cn.superdesk.uniorder.dao.mapper.operation;

import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssuesFlowing;
import cn.superdesk.uniorder.dao.entity.operation.UnifiedOrderIssuesFlowingExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UnifiedOrderIssuesFlowingMapper {
    long countByExample(UnifiedOrderIssuesFlowingExample example);

    int deleteByExample(UnifiedOrderIssuesFlowingExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedOrderIssuesFlowing record);

    int insertSelective(UnifiedOrderIssuesFlowing record);

    List<UnifiedOrderIssuesFlowing> selectByExampleWithBLOBs(UnifiedOrderIssuesFlowingExample example);

    List<UnifiedOrderIssuesFlowing> selectByExample(UnifiedOrderIssuesFlowingExample example);

    UnifiedOrderIssuesFlowing selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedOrderIssuesFlowing record, @Param("example") UnifiedOrderIssuesFlowingExample example);

    int updateByExampleWithBLOBs(@Param("record") UnifiedOrderIssuesFlowing record, @Param("example") UnifiedOrderIssuesFlowingExample example);

    int updateByExample(@Param("record") UnifiedOrderIssuesFlowing record, @Param("example") UnifiedOrderIssuesFlowingExample example);

    int updateByPrimaryKeySelective(UnifiedOrderIssuesFlowing record);

    int updateByPrimaryKeyWithBLOBs(UnifiedOrderIssuesFlowing record);

    int updateByPrimaryKey(UnifiedOrderIssuesFlowing record);
}